Subject: RE: [Mobopts] draft-irtf-mobopts-location-privacy-solutions-01.txt

From: "Kilian Weniger" <[email-masked]>
Date: Thu, 27 Apr 2006 08:59:48 +0200

Hi Qiu,

see comments inline. Sorry for the late response.

Note that the purpose of my mail was to correct the minutes, hence I
opened a new thread for discussion of the the draft.

> >Kilian:  The draft seems to focus on the case of hiding the HoA from
> >eavesdroppers.
> 
> Not exactly. If the CN does not care MN's identity, such as 
> CN is a public 
> webserver, MN can negotiate with CN through a fake HoA. The 

Yes, hiding the MN's HoA from CN is one possible solution (see, e.g.,
draft-dupont-mip6-privacyext-02.txt), but I couldn't find a description
of a corresponding procedure in your draft. 

> main idea of the 
> solutions is to break the relationship among HoA, CoA, HA and CN.
> 
> >For the case of hiding the CoA from CN, the draft
> >proposes bidirectional tunnling. This is a really simple 
> solution, but
> >it is not very efficient in many scenarios.
> 
> It is ture that tnnling mode is not very efficient, but it is 
> tradeoff. In 
> order to hide the CoA from CN, you must use a 3rd-party to hand over.

yes, it requires infrastructure support. However, in my opinion this is
not a reason to rule a solution out. I think more important criteria are
performance, security, and how many changes to MIPv6 are required.

> 
> >Optimized routing should be
> >considered also for the case of hiding the location from CN.
> 
> The purpose of Optimized Routing is to let the packets 
> transfer from CN to 
> MN directly. Therefore, CN must know the CoA. If a packet is 
> handed over by 
> a third-party, it hardly say it were still a Optimized Routing mode.

You are talking about MIPv6 "Route Optimization mode". I was talking
about "optimized routing", which from my understanding means that the
route is somehow shortened/optimized (does not mean that packets are
routed on the optimal/direct path between MN and CN). 

> 
> In order to hide the location from CN, a fake HoA could be 
> employed if the 
> CN accepts.
> 
> >There are drafts out providing solutions for this.
> >
> >Rajeev:  This draft is about adding location privacy support to MIPv6
> >without changing MIPv6 much. The approach you are proposing (ROTA)
> >introduces a new entity.
> >
> >Kilian:  There are multiple solutions for this problem, some of them
> >require more changes, some of them less changes.
> 
> Yes. This draft combines 3 of them:
> draft-koodli-mip6-location-privacy-solutions-
> draft-qiu-mip6-mnprivacy-
> draft-zhao-mip6-rr-ext-

No, I meant solutions for the problem of simultaneously providing
optimized routing and hiding MN's location from CN. AFAIK, all the
drafts you mentioned don't address this problem. 

Regards,

Kilian

_______________________________________________
Mobopts mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mobopts